Export workspace analytics
curl --request GET \
--url https://dust.tt/api/v1/w/{wId}/analytics/export \
--header 'Authorization: Bearer <token>'import requests
url = "https://dust.tt/api/v1/w/{wId}/analytics/export"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dust.tt/api/v1/w/{wId}/analytics/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"Workspace
Export workspace analytics
Export analytics data for the workspace identified by in CSV or JSON format.
GET
/
api
/
v1
/
w
/
{wId}
/
analytics
/
export
Export workspace analytics
Authorizations
Your DUST API key is a Bearer token.
Path Parameters
Unique string identifier for the workspace
Query Parameters
The analytics table to export:
- "usage_metrics": Messages, conversations, and active users over time.
- "active_users": Daily, weekly, and monthly active user counts.
- "source": Message volume by context origin (web, slack, etc.).
- "agents": Top agents by message count, including credits.
- "users": Top users by message count, including credits, last login date and membership status (active, revoked, unregistered).
- "skills": Skill metadata catalog.
- "skill_usage": Skill executions and unique users over time.
- "tool_usage": Tool executions and unique users over time.
- "messages": Detailed message-level logs, including comma-separated lists of tools (as "server__tool") and skills used per message, and the cost in credits of each message.
- "feedback": Detailed message-level feedback (thumbs, content, conversation URL).
Available options:
usage_metrics, active_users, source, agents, users, skills, skill_usage, tool_usage, messages, feedback Start date in YYYY-MM-DD format
End date in YYYY-MM-DD format
IANA timezone name (defaults to UTC)
Output format (defaults to csv)
Available options:
csv, json Response
The analytics data in CSV or JSON format
The response is of type string.